player_ranger_config Struct Reference

Device configuration request (PLAYER_RANGER_REQ_GET_CONFIG) More...

`#include <player_interfaces.h>`

## Public Attributes

double | min_angle
| Start angle of scans [rad]. More...
double | max_angle
| End angle of scans [rad]. More...
double | angular_res
| Scan resolution [rad]. More...
double | min_range
| Minimum range [m]. More...
double | max_range
| Maximum range [m]. More...
double | range_res
| Range resolution [m]. More...
double | frequency
| Scanning frequency [Hz]. More...

## Detailed Description

Device configuration request (PLAYER_RANGER_REQ_GET_CONFIG)

Request and change the device's configuration.

## Member Data Documentation

double player_ranger_config::angular_res

Scan resolution [rad].

May be unfilled.

double player_ranger_config::frequency

Scanning frequency [Hz].

May be unfilled.

double player_ranger_config::max_angle

End angle of scans [rad].

May be unfilled.

double player_ranger_config::max_range

Maximum range [m].

May be unfilled.

double player_ranger_config::min_angle

Start angle of scans [rad].

May be unfilled.

double player_ranger_config::min_range

Minimum range [m].

Values below this are typically errors and should usually not be treated as valid data. May be unfilled.

double player_ranger_config::range_res

Range resolution [m].

May be unfilled.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45